org.eclipse.eef.properties.ui.legacy.internal.extension.impl

## Class LegacyPropertySectionSorter

- java.lang.Object
- - org.eclipse.eef.properties.ui.legacy.internal.extension.impl.LegacyPropertySectionSorter

    public class LegacyPropertySectionSorter
    extends java.lang.Object

Utility class used to sort the property sections.

### Constructor Summary

Constructors
Constructor and Description
`LegacyPropertySectionSorter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<IEEFSectionDescriptor>` `sortSectionsByAfterSection(java.util.Collection<IEEFSectionDescriptor> sections)` Sort sections of a tab by after section.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LegacyPropertySectionSorter

    public LegacyPropertySectionSorter()

### Method Detail

#### sortSectionsByAfterSection

    public java.util.List<IEEFSectionDescriptor> sortSectionsByAfterSection(java.util.Collection<IEEFSectionDescriptor> sections)

Sort sections of a tab by after section.

Parameters:
  `sections` - List of sections
Returns:
  List of sections sorted by after section